#pragma once

#include "CoreMinimal.h"
#include "DDImageProcessor.h"
#include "DDBrightnessContrast.generated.h"


UCLASS()
class POPUL8_API UDDBrightnessContrast : public UDDependantImageProcessor
{
    GENERATED_BODY()

public:
    // Goes from -1 to 1
    void SetBrightness(const float& Brightness);
    
    // Goes from -1 to 1
    void SetContrast(const float& Contrast);

protected:
    virtual void Execute(DDImageProcessorExecuteContext_GameThread& context) override;
    virtual void Execute(DDImageProcessorExecuteContext_RenderThread& context) override;

private:
    float CurrentBrightness{ 0.0f };
    float CurrentContrast{ 0.0f };

};