#pragma once

#include "CoreMinimal.h"
#include "DDImageProcessor.h"
#include "DDColorize.generated.h"


UCLASS()
class POPUL8_API UDDColorize : public UDDependantImageProcessor
{
    GENERATED_BODY()

public:
    void SetColor(const FColor& Color);
    const FColor& GetColor() const;

protected:
    virtual void Execute(DDImageProcessorExecuteContext_GameThread& context) override;
    virtual void Execute(DDImageProcessorExecuteContext_RenderThread& context) override;

private:
    FColor CurrentColor{ FColor(255U, 255U, 255U, 255U) };

};