// Copyright Epic Games, Inc. All Rights Reserved.

using System.IO;
using UnrealBuildTool;

public class Popul8Editor : ModuleRules
{
	public Popul8Editor(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;
		
		PublicIncludePaths.AddRange(
			new string[] {

            }
            );
				
		
		PrivateIncludePaths.AddRange(
			new string[] {

            }
            );
			
		
		PublicDependencyModuleNames.AddRange(
			new string[]
			{
                "Core",
                "RenderCore",
                "UnrealEd",
                "Popul8", // Reference the main module
            }
            );


        PrivateDependencyModuleNames.AddRange(
            new string[]
            {
                "Core",
                "CoreUObject",
                "Engine",
                "RenderCore",
                "RHI",
                "RenderCore",
                "ImageCore",
                "UMG",
                "UnrealEd",
                "MaterialEditor",
                "Json",
                "JsonUtilities",
                "Slate",
                "SlateCore",
                "ToolMenus",
                "PropertyEditor",
            }
            );


        DynamicallyLoadedModuleNames.AddRange(
			new string[]
			{
				// ... add any modules that your module loads dynamically here ...
			}
			);
	}
}
