#pragma once

#include "CoreMinimal.h"
#include "DDImageProcessor.h"
#include "DDDilation.generated.h"


UCLASS()
class POPUL8_API UDDDilation : public UDDependantImageProcessor
{
    GENERATED_BODY()

public:
    void SetRadius(int32 Radius);

protected:
    virtual void Execute(DDImageProcessorExecuteContext_GameThread& context) override;
    virtual void Execute(DDImageProcessorExecuteContext_RenderThread& context) override;

private:
    int32 CurrentRadius{ 16 };

};